<html>
<head>
<title>OGRE: Ogre::HardwareBufferManager::VertexBufferLicense Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1HardwareBufferManager.html">HardwareBufferManager</a>::<a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html">VertexBufferLicense</a></div>
<h1>Ogre::HardwareBufferManager::VertexBufferLicense Class Reference</h1><!-- doxytag: class="Ogre::HardwareBufferManager::VertexBufferLicense" -->Struct holding details of a license to use a temporary shared buffer.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#b0075d21bcd56b59b51ea1b6f5f4db63">VertexBufferLicense</a> (<a class="el" href="classOgre_1_1HardwareVertexBuffer.html">HardwareVertexBuffer</a> *orig, <a class="el" href="classOgre_1_1HardwareBufferManager.html#44c2e8b8f5664fa3aad2de27723d0be4">BufferLicenseType</a> ltype, size_t delay, <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> buf, <a class="el" href="classOgre_1_1HardwareBufferLicensee.html">HardwareBufferLicensee</a> *lic)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">HardwareVertexBuffer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#b7af1b3789040bbbdf2e69f18445a9a0">originalBufferPtr</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBufferManager.html#44c2e8b8f5664fa3aad2de27723d0be4">BufferLicenseType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#f5a76e51d1abfeaeb3fc4e18e6311f3c">licenseType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#97b0aecba58cf2465bcafd233bcae9e0">expiredDelay</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#ff7893b2bf947fba55194a4dbf833bb0">buffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html">HardwareBufferLicensee</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#d9b826039bb15b393bef81dfff0c8830">licensee</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct holding details of a license to use a temporary shared buffer. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00149">149</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="b0075d21bcd56b59b51ea1b6f5f4db63"></a><!-- doxytag: member="Ogre::HardwareBufferManager::VertexBufferLicense::VertexBufferLicense" ref="b0075d21bcd56b59b51ea1b6f5f4db63" args="(HardwareVertexBuffer *orig, BufferLicenseType ltype, size_t delay, HardwareVertexBufferSharedPtr buf, HardwareBufferLicensee *lic)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::HardwareBufferManager::VertexBufferLicense::VertexBufferLicense           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">HardwareVertexBuffer</a> *&nbsp;</td>
          <td class="paramname"> <em>orig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBufferManager.html#44c2e8b8f5664fa3aad2de27723d0be4">BufferLicenseType</a>&nbsp;</td>
          <td class="paramname"> <em>ltype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>delay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td>
          <td class="paramname"> <em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html">HardwareBufferLicensee</a> *&nbsp;</td>
          <td class="paramname"> <em>lic</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00157">157</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="b7af1b3789040bbbdf2e69f18445a9a0"></a><!-- doxytag: member="Ogre::HardwareBufferManager::VertexBufferLicense::originalBufferPtr" ref="b7af1b3789040bbbdf2e69f18445a9a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">HardwareVertexBuffer</a>* <a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#b7af1b3789040bbbdf2e69f18445a9a0">Ogre::HardwareBufferManager::VertexBufferLicense::originalBufferPtr</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00152">152</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f5a76e51d1abfeaeb3fc4e18e6311f3c"></a><!-- doxytag: member="Ogre::HardwareBufferManager::VertexBufferLicense::licenseType" ref="f5a76e51d1abfeaeb3fc4e18e6311f3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBufferManager.html#44c2e8b8f5664fa3aad2de27723d0be4">BufferLicenseType</a> <a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#f5a76e51d1abfeaeb3fc4e18e6311f3c">Ogre::HardwareBufferManager::VertexBufferLicense::licenseType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00153">153</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="97b0aecba58cf2465bcafd233bcae9e0"></a><!-- doxytag: member="Ogre::HardwareBufferManager::VertexBufferLicense::expiredDelay" ref="97b0aecba58cf2465bcafd233bcae9e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#97b0aecba58cf2465bcafd233bcae9e0">Ogre::HardwareBufferManager::VertexBufferLicense::expiredDelay</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00154">154</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ff7893b2bf947fba55194a4dbf833bb0"></a><!-- doxytag: member="Ogre::HardwareBufferManager::VertexBufferLicense::buffer" ref="ff7893b2bf947fba55194a4dbf833bb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#ff7893b2bf947fba55194a4dbf833bb0">Ogre::HardwareBufferManager::VertexBufferLicense::buffer</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00155">155</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d9b826039bb15b393bef81dfff0c8830"></a><!-- doxytag: member="Ogre::HardwareBufferManager::VertexBufferLicense::licensee" ref="d9b826039bb15b393bef81dfff0c8830" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html">HardwareBufferLicensee</a>* <a class="el" href="classOgre_1_1HardwareBufferManager_1_1VertexBufferLicense.html#d9b826039bb15b393bef81dfff0c8830">Ogre::HardwareBufferManager::VertexBufferLicense::licensee</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00156">156</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:55 2008
</p>
</body>
</html>
